---
schema-version: '1.1'
name: OpenSearch
version: 2.19.6
platform: linux
architecture: arm64
distribution: tar
id: '12068'
rc: '3'
test-run:
  Command: ./test.sh integ-test manifests/2.19.6/opensearch-2.19.6-test.yml --paths
    opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.6/12068/linux/arm64/tar
  TestType: integ-test
  TestManifest: manifests/2.19.6/opensearch-2.19.6-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.6/12068/linux/arm64/tar/dist/opensearch/manifest.yml
  TestID: '11355'
components:
  - name: alerting
    command: ./test.sh integ-test manifests/2.19.6/opensearch-2.19.6-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.6/12068/linux/arm64/tar
      --component alerting
    repository: https://github.com/opensearch-project/alerting.git
    configs:
      - name: with-security
        status: FAIL
        yml: https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/with-security/alerting.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - org.opensearch.alerting.resthandler.SecureMonitorRestApiIT#test execute
            monitor with elevate permissions
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/without-security/alerting.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/2.19.6/12068/linux/arm64/tar/test-results/11355/integ-test/alerting/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
